> For the complete documentation index, see [llms.txt](https://docs.on.nexus/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.on.nexus/hodifi/developers/data-record/records.md).

# Data Record

## Obtain Market Data

> Market Data

```json
{"openapi":"3.0.1","info":{"title":"Default Module","version":"1.0.0"},"servers":[{"url":"http://127.0.0.1:8090","description":"Local"}],"security":[],"paths":{"/api/nexus/manage/market":{"post":{"summary":"Obtain Market Data","deprecated":false,"description":"Market Data","tags":[],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"btc_address":{"type":"string","title":"BTC Wallet Address"},"eth_address":{"type":"string","title":"ETH Wallet Address"}},"required":["btc_address","eth_address"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"number"},"data":{"type":"object","properties":{"total_supplied":{"type":"number","description":"Current Total Borrowed Amount","title":"Current Total Borrowed Amount"},"total_borrowed":{"type":"number","description":"Current Borrower Count","title":"Current Borrower Count"},"average_annual_rate":{"type":"number","description":"Average APR","title":"Average APR"},"max_ltv":{"type":"string","title":"Maximum Collateral Ratio"}},"required":["total_supplied","total_borrowed","average_annual_rate","max_ltv"]}},"required":["code","data"]}}},"headers":{}}}}}}}
```

## Loan Information

> Submit Loan Application

```json
{"openapi":"3.0.1","info":{"title":"Default Module","version":"1.0.0"},"servers":[{"url":"http://127.0.0.1:8090","description":"Local"}],"security":[],"paths":{"/api/nexus/manage/lending_info":{"post":{"summary":"Loan Information","deprecated":false,"description":"Submit Loan Application","tags":[],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"btc_address":{"type":"string","title":"Connected BTC"},"eth_address":{"type":"string","title":"Receiving Address"}},"required":["btc_address","eth_address"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"msg":{"type":"string"},"data":{"type":"object","properties":{"total_loan":{"type":"string","title":"Total Lending Amount"},"annual_rate":{"type":"string","title":"Annual Percentage Rate"},"btc_address":{"type":"string","title":"Liquidation BTC Receiving Address"},"eth_address":{"type":"string","title":"Interest Receiving Address"},"usdc_balance":{"type":"string","title":"Wallet USDC Balance"}},"required":["total_loan","annual_rate","btc_address","eth_address","usdc_balance"]},"req_id":{"type":"string"}},"required":["code","msg","data","req_id"]}}},"headers":{}}}}}}}
```

## Loan Record

> Lending Records

```json
{"openapi":"3.0.1","info":{"title":"Default Module","version":"1.0.0"},"servers":[{"url":"http://127.0.0.1:8090","description":"Local"}],"security":[],"paths":{"/api/nexus/manage/lending_records":{"post":{"summary":"Loan Record","deprecated":false,"description":"Lending Records","tags":[],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"page_num":{"type":"integer"},"page_size":{"type":"integer"},"expired":{"type":"boolean","title":"Overdue Pending Settlement"}},"required":["page_num","page_size","expired"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"string"},"msg":{"type":"string"},"data":{"type":"object","properties":{"total":{"type":"integer","description":"Total Count","title":"Total Quantity"},"items":{"type":"array","items":{"type":"object","properties":{"time":{"type":"string","description":"Time"},"loan_amount":{"type":"integer","description":"Borrow Amount","title":"Lending Amount"},"annual_interest_rate":{"type":"integer","description":"Annual Percentage Rate","title":"Annual Percentage Rate"},"collateral_ratio":{"type":"integer","description":"Collateral","title":"Collateral Ratio"},"loan_days":{"type":"integer","description":"Borrowing Days","title":"Borrowing Days"},"expiration_time":{"type":"string","description":"Maturity Time","title":"Maturity Time"},"status":{"type":"string","description":"Status","title":"Status"},"sub_status":{"type":"string","title":"Substatus"},"option_status":{"type":"string","title":"Option Purchase Status"}},"required":["time","loan_amount","annual_interest_rate","expiration_time","loan_days","collateral_ratio","status","sub_status","option_status"]}}},"required":["total","items"]}},"required":["code","data","msg"]}}},"headers":{}}}}}}}
```

## POST /api/nexus/manage/get\_pending\_settlement

> Obtain The Amount To Be Settled

```json
{"openapi":"3.0.1","info":{"title":"Default Module","version":"1.0.0"},"servers":[{"url":"http://127.0.0.1:8090","description":"Local"}],"security":[],"paths":{"/api/nexus/manage/get_pending_settlement":{"post":{"summary":"Obtain The Amount To Be Settled","deprecated":false,"description":"","tags":[],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"btc_address":{"type":"string","title":"BTC Wallet Address"},"eth_address":{"type":"string","title":"ETH Wallet Address"}},"required":["btc_address","eth_address"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"msg":{"type":"string"},"data":{"type":"object","properties":{"unsettled_amount":{"type":"string","title":"Pending Settlement Amount"}},"required":["unsettled_amount"]},"req_id":{"type":"string"}},"required":["code","msg","data","req_id"]}}},"headers":{}}}}}}}
```

## POST /api/nexus/manage/update\_pending\_settlement

> Manually Update Specified Pending Settlement

```json
{"openapi":"3.0.1","info":{"title":"Default Module","version":"1.0.0"},"servers":[{"url":"http://127.0.0.1:8090","description":"Local"}],"security":[],"paths":{"/api/nexus/manage/update_pending_settlement":{"post":{"summary":"Manually Update Specified Pending Settlement","deprecated":false,"description":"","tags":[],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"order_id":{"type":"array","items":{"type":"integer"},"title":"Order ID"}},"required":["order_id"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"msg":{"type":"string"},"data":{"type":"object","properties":{"success":{"type":"boolean"}},"required":["success"]},"req_id":{"type":"string"}},"required":["code","msg","data","req_id"]}}},"headers":{}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.on.nexus/hodifi/developers/data-record/records.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
